Note: This is a beta release of Red Hat Bugzilla 5.0. The data contained within is a snapshot of the live data so any changes you make will not be reflected in the production Bugzilla. Also email is disabled so feel free to test any aspect of the site that you want. File any problems you find or give feedback here.
Bug 1068929 - Default route is not set properly for management network if downstream/upstream engine and VDSM are mixed
Summary: Default route is not set properly for management network if downstream/upstre...
Keywords:
Status: CLOSED CURRENTRELEASE
Alias: None
Product: oVirt
Classification: Retired
Component: ovirt-engine-core
Version: 3.4
Hardware: Unspecified
OS: Unspecified
high
high
Target Milestone: ---
: 3.4.0
Assignee: Moti Asayag
QA Contact: Martin Pavlik
URL:
Whiteboard: network
Depends On: 1015009
Blocks: 1013611
TreeView+ depends on / blocked
 
Reported: 2014-02-23 10:21 UTC by Moti Asayag
Modified: 2014-04-01 05:00 UTC (History)
14 users (show)

Fixed In Version: ovirt-3.4.0-rc
Doc Type: Bug Fix
Doc Text:
Clone Of: 1015009
Environment:
Last Closed: 2014-03-31 12:25:28 UTC
oVirt Team: ---


Attachments (Terms of Use)


Links
System ID Priority Status Summary Last Updated
oVirt gerrit 22720 None None None Never
oVirt gerrit 23182 None None None Never
oVirt gerrit 23232 None None None Never
oVirt gerrit 24631 None None None Never
oVirt gerrit 24677 None None None Never
oVirt gerrit 24892 None MERGED engine: Provide defaultRoute property for management network Never

Comment 1 Sandro Bonazzola 2014-03-03 14:40:43 UTC
This BZ should be fixed in oVirt 3.4.0 RC

Comment 2 Moti Asayag 2014-03-04 14:55:14 UTC
In order to verify this bug, the management network ifcfg-ovirtmgmt script should include 
DEFROUTE=yes

any other network shouldn't have this value when edited.

Comment 3 Martin Pavlik 2014-03-18 08:39:59 UTC
verified ovirt-3.4.0-rc2

[root@dell-r210ii-08 ~]# cat /etc/sysconfig/network-scripts/ifcfg-ovirtmgmt 
# Generated by VDSM version 4.14.5-0.el6
DEVICE=ovirtmgmt
ONBOOT=yes
TYPE=Bridge
DELAY=0
BOOTPROTO=dhcp
DEFROUTE=yes
NM_CONTROLLED=no
STP=no

Comment 4 Sandro Bonazzola 2014-03-31 12:25:28 UTC
this is an automated message: moving to Closed CURRENT RELEASE since oVirt 3.4.0 has been released


Note You need to log in before you can comment on or make changes to this bug.